<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="infreaab-2024-12-31.xsd#infreaab_Nettoomsaettning" xlink:label="infreaab_Nettoomsaettning" />
    <loc xlink:type="locator" xlink:href="infreaab-2024-12-31.xsd#infreaab_Finansnetto" xlink:label="infreaab_Finansnetto" />
    <loc xlink:type="locator" xlink:href="infreaab-2024-12-31.xsd#infreaab_OevrigtTotalresultat" xlink:label="infreaab_OevrigtTotalresultat" />
    <loc xlink:type="locator" xlink:href="infreaab-2024-12-31.xsd#infreaab_OEverlatelseAvEgnaAktier" xlink:label="infreaab_OEverlatelseAvEgnaAktier" />
    <loc xlink:type="locator" xlink:href="infreaab-2024-12-31.xsd#infreaab_InbetaldPremieVidUtfaerdandeAvAktieoptioner" xlink:label="infreaab_InbetaldPremieVidUtfaerdandeAvAktieoptioner" />
    <loc xlink:type="locator" xlink:href="infreaab-2024-12-31.xsd#infreaab_SummaTillskottFranOchVaerdeoeverfoeringarTillAEgare" xlink:label="infreaab_SummaTillskottFranOchVaerdeoeverfoeringarTillAEgare" />
    <loc xlink:type="locator" xlink:href="infreaab-2024-12-31.xsd#infreaab_ResultatFoereSkatt" xlink:label="infreaab_ResultatFoereSkatt" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <labelArc xlink:type="arc" xlink:from="infreaab_Nettoomsaettning" xlink:to="label_infreaab_infreaabNettoomsaettning_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="infreaab_Finansnetto" xlink:to="label_infreaab_infreaabFinansnetto_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="infreaab_OevrigtTotalresultat" xlink:to="label_infreaab_infreaabOevrigtTotalresultat_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="infreaab_OEverlatelseAvEgnaAktier" xlink:to="label_infreaab_infreaabOEverlatelseAvEgnaAktier_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="infreaab_InbetaldPremieVidUtfaerdandeAvAktieoptioner" xlink:to="label_infreaab_infreaabInbetaldPremieVidUtfaerdandeAvAktieoptioner_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="infreaab_SummaTillskottFranOchVaerdeoeverfoeringarTillAEgare" xlink:to="label_infreaab_infreaabSummaTillskottFranOchVaerdeoeverfoeringarTillAEgare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="infreaab_ResultatFoereSkatt" xlink:to="label_infreaab_infreaabResultatFoereSkatt_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="label_infreaab_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_PeriodEnd" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <label xlink:label="label_infreaab_infreaabNettoomsaettning_Standard" id="infreaab_infreaabNettoomsaettning_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Nettoomsättning</label>
    <label xlink:label="label_infreaab_infreaabFinansnetto_Standard" id="infreaab_infreaabFinansnetto_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Finansnetto</label>
    <label xlink:label="label_infreaab_infreaabOevrigtTotalresultat_Standard" id="infreaab_infreaabOevrigtTotalresultat_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Övrigt totalresultat</label>
    <label xlink:label="label_infreaab_infreaabOEverlatelseAvEgnaAktier_Standard" id="infreaab_infreaabOEverlatelseAvEgnaAktier_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Överlåtelse av egna aktier</label>
    <label xlink:label="label_infreaab_infreaabInbetaldPremieVidUtfaerdandeAvAktieoptioner_Standard" id="infreaab_infreaabInbetaldPremieVidUtfaerdandeAvAktieoptioner_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Inbetald premie vid utfärdande av aktieoptioner</label>
    <label xlink:label="label_infreaab_infreaabSummaTillskottFranOchVaerdeoeverfoeringarTillAEgare_Standard" id="infreaab_infreaabSummaTillskottFranOchVaerdeoeverfoeringarTillAEgare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Summa tillskott från och värdeöverföringar till ägare</label>
    <label xlink:label="label_infreaab_infreaabResultatFoereSkatt_Standard" id="infreaab_infreaabResultatFoereSkatt_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Resultat före skatt</label>
    <label xlink:label="label_infreaab_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_PeriodEnd" id="infreaab_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_PeriodEnd" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="sv">Årets kassaflöde</label>
  </labelLink>
</linkbase>